#
# spec file for package treefetch
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           treefetch
Version:        2.0.0
Release:        1.2
Summary:        A lightning-fast system fetch tool made with Rust
License:        (Apache-2.0 OR MIT) AND (MIT OR Unlicense) AND MIT
URL:            https://github.com/angelofallars/treefetch
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo
BuildRequires:  cargo-packaging
BuildRequires:  zstd
ExclusiveArch:  %{rust_tier1_arches}

%description
A lightning-fast minimalist system fetch tool made in Rust. Even faster than pfetch.

%prep
%autosetup -a1

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/treefetch

%changelog
* Fri Nov  8 2024 Soc Virnyl Estela <uncomfyhalomacro@opensuse.org>
- Refresh _service file.
- Update to version 2.0.0:
  * chore: bump version in Cargo.toml to 2.0.0 2022
  * docs: add Usage from help in README
  * feat: add version in help message
  * feat: make bonsai pot gray and bold
  * feat: add error if passed with old -xmas arg
  * BREAKING CHANGE: use double hyphen for long args
  * feat: add help message
  * feat: make bonsai tree smaller
  * docs: add donation link
* Mon Jun 20 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Tue May 24 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Tue Apr  5 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Mon Mar 14 2022 william.brown@suse.com
- Update to resolve bsc#1196972 CVE-2022-24713 - Regex DOS
* Wed Mar  9 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Use cargo lock2rpmprovides to fix LICENSE string
* Wed Mar  9 2022 danilo.spinella@suse.com
- Update to version 2.0.0~git0.5b3eac1:
  * chore: bump version in Cargo.toml to 2.0.0 2022
  * docs: add Usage from help in README
  * feat: add version in help message
  * feat: make bonsai pot gray and bold
  * feat: add error if passed with old -xmas arg
  * BREAKING CHANGE: use double hyphen for long args
  * feat: add help message
  * feat: make bonsai tree smaller
  * use nested if statement
  * restored bonsai tree
* Tue Dec 14 2021 Danilo Spinella <danilo.spinella@suse.com>
- Initial packaging of version 1.2.0
